//Ray.cpp

#include "stdafx.h"
#include "Ray.h"

CRay::CRay()
{
}

CRay::CRay(CVector3 &Start0, CVector3 &Look, bool bLookEqDir)
{
	Start = Start0;
	if(bLookEqDir)
		Direction = !Look;
	else
		Direction = !(Look - Start);
}

CRay::~CRay()
{
}

float CRay::operator ~()
{
	return ~Direction;
}